Bug 166454 - rpmbuild --rebuild glibc-2.3.4-2.12.src.rpm hangs (same problem with glibc-2.3.4-2.9.src.rpm)
rpmbuild --rebuild glibc-2.3.4-2.12.src.rpm hangs (same problem with glibc-2....
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
Brian Brock
: Regression
: 153323 (view as bug list)
Depends On:
Blocks: 168429
  Show dependency treegraph
 
Reported: 2005-08-21 17:10 EDT by Johnny Hughes
Modified: 2007-11-30 17:07 EST (History)
8 users (show)

See Also:
Fixed In Version: RHSA-2006-0132
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-07 14:35:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
gzipped build log (55.71 KB, application/x-gzip)
2005-08-21 17:12 EDT, Johnny Hughes
no flags Details

  None (edit)
Description Johnny Hughes 2005-08-21 17:10:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
rpmbuild --rebuild glibc-2.3.4-2.12.src.rpm (also glibc-2.3.4-2.9.src.rpm) fails on both i386 and x86_64 machines (--target i686 also fails on i386 machine).

These only fail if either kernel-2.6.9-11.EL or kernel-2.6.9-16.EL (or the smp kernels of the same version are installed).

If kernel-2.6.9-5.0.5.EL or kernel-2.6.9-5.0.3.EL or kernel-2.6.9-5.EL are installed, the rebuild completes normally.

I have verified this issue on i386 single processor (pIII and p4), x86_64 (AMD Athlon 64), i386 dual processor (p4 xeon)

The log file is large, so I am going to gzip it.



Version-Release number of selected component (if applicable):
glibc-2.3.4-2.12.src.rpm (and glibc-2.3.4-2.9.src.rpm)

How reproducible:
Always

Steps to Reproduce:
rpmbuild --rebuild glibc-2.3.4-2.12.src.rpm
   OR     
rpmbuild --rebuild glibc-2.3.4-2.9.src.rpm

Actual Results:  See the attached log file ... if you notice on line 9456 is the first error.

make[2]: *** [/usr/src/redhat/BUILD/glibc-2.3-20050704T1133/build-i486-linuxnptl/nptl/tst-join4.out] Error 1
Failed to kill test process: No child processes

The build process continues (and there are several releated errors) until the end of the log.  At this point the actual build process is hung (line 9598 of the log).

Pressing ctrl-c (or killing the defunct process) produces more log lines (starting with 9599 to 9785) and then all the processes fo rthe build exit.

If kernel-2.6.9-5.0.5.EL or kernel-2.6.9-5.0.3.EL or kernel-2.6.9-5.EL are installed, the rebuild completes normally.

Expected Results:  Normal build.

Additional info:
Comment 1 Johnny Hughes 2005-08-21 17:12:50 EDT
Created attachment 117956 [details]
gzipped build log
Comment 2 Johnny Hughes 2005-08-21 17:35:15 EDT
The build log contains "2>&1" information ... and this build was from an i386
install, single processor machine, RHEL4-U2 beta.

Kernel was 2.6.9-16.EL.i686

same results with building glibc-2.3.4-2.9.src.rpm using kernel-2.6.9-11.EL.i686
Comment 4 Thibaut LAURENT 2005-09-27 05:45:38 EDT
The same bug makes the check_dns nagios plugin (and perhaps some other plugins)
segfault most of the time, and is still there with kernel 2.6.9-22.EL.

This seems to be related to bug #141896 which was fixed in 2.6.10. The same fix
applies here.
Comment 5 Dave Anderson 2005-09-27 14:42:59 EDT
Thibaut,

I appreciate the update, and the pointer to 141896.

This case was a bit confusing at first until I realized that
it wasn't related to rpmbuild, but rather the NPTL test
within it.

Thanks,
  Dave
Comment 6 Dave Anderson 2005-09-27 14:44:03 EDT
(i.e., the NPTL test within the glibc package...)
Comment 8 Jason Baron 2005-10-10 15:10:23 EDT
*** Bug 168775 has been marked as a duplicate of this bug. ***
Comment 11 Steve Snyder 2005-10-13 16:24:24 EDT
Confirmation that the problem still exists with kernel-2.6.9-22.EL-i686 and 
glibc-2.3.4-2.13 (single processor Pentium III).

Is the patch referenced in bug #141896 (see comment #4 above) suitable for use 
with this kernel, or is that patch specific to v2.6.10?
Comment 12 Dave Anderson 2005-10-13 17:00:54 EDT
That patch is 2.6.10-specific and would need slight adjustments
for RHEL4, but everything from it needs to be applied except for
this part:

 			case TASK_TRACED:
-				flag = 1;
 				if (!my_ptrace_child(p))
 					continue;
 				/*FALLTHROUGH*/

That particular "flag = 1;" should be left as is.
Comment 14 Dave Anderson 2005-10-14 16:22:02 EDT
Test kernels containing a fix for this bug may be found in:

  http://people.redhat.com/~jbaron/rhel4
Comment 17 Linda Wang 2006-01-09 00:10:05 EST
*** Bug 153323 has been marked as a duplicate of this bug. ***
Comment 18 Jason Baron 2006-02-13 13:35:44 EST
*** Bug 180353 has been marked as a duplicate of this bug. ***
Comment 21 Red Hat Bugzilla 2006-03-07 14:35:21 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0132.html

Note You need to log in before you can comment on or make changes to this bug.